2019-12-14 22:11 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005100Spring engineGeneralpublic2016-02-22 02:43
Reporterjamerlan 
Assigned ToKloot 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version100.0+git 
Target VersionFixed in Version100.0+git 
Summary0005100: spring crashes when you cheat
Descriptiononly crashes when you use "!send" thing (using autohost)


[f=0067807] <[teh]decay> !send /give 10 aafus
[f=0067807] [CrashHandler] Error: Segmentation fault (SIGSEGV) in spring 100.0.1-1192-g254ed6d develop
Steps To Reproduceduring the game type

"!send /cheat"
then type
"!send /give 10 aafus"
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
duplicate of 0004302closed crash near end of a long game in SyncedGameCommands.cpp:153 
+Relationships

-Notes

~0015834

abma (administrator)

i got this stacktrace:

rts/Game/SyncedGameCommands.cpp:153
rts/Game/IActionExecutor.h:108
rts/Game/CommandMessage.h:16
rts/Game/Game.cpp:962
rts/System/SpringApp.cpp:973
rts/System/SpringApp.cpp:1009
rts/System/Main.cpp:48
rts/System/Main.cpp:107
/opt/mxe/tmp-gcc/gcc-4.8.1/mirror-mingw-w64-c28722c/trunk/mingw-w64-crt/crt/crtexe.c:317
??:0
??:0
??:0

~0015835

hokomoko (developer)

Last edited: 2016-02-22 00:01

View 2 revisions

hmm, obviously /give without coordinates can't work on a dedicated server since it has no mouse. shouldn't crash but give an error though.

Not a release blocker.

+Notes

-Issue History
Date Modified Username Field Change
2016-02-21 23:55 jamerlan New Issue
2016-02-21 23:55 jamerlan File Added: infolog.txt
2016-02-21 23:58 abma Note Added: 0015834
2016-02-21 23:59 abma File Added: 20160221_235659_DeltaSiegeDry_100.0.1-1192-g254ed6d develop.sdfz
2016-02-22 00:00 hokomoko Note Added: 0015835
2016-02-22 00:01 hokomoko Note Edited: 0015835 View Revisions
2016-02-22 00:04 Kloot Relationship added duplicate of 0004302
2016-02-22 02:43 Kloot Status new => resolved
2016-02-22 02:43 Kloot Fixed in Version => 100.0+git
2016-02-22 02:43 Kloot Resolution open => fixed
2016-02-22 02:43 Kloot Assigned To => Kloot
+Issue History